org.apache.ignite.internal

## Class TransactionMetricsMxBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.TransactionMetricsMxBeanImpl

All Implemented Interfaces:
  TransactionMetricsMxBean, TransactionMetrics

Deprecated.
Check the `JmxMetricExporterSpi` with "name=\"tx\"" instead.

    @Deprecated
    public class TransactionMetricsMxBeanImpl
    extends Object
    implements TransactionMetricsMxBean

Transactions MXBean implementation.

See Also:
  `ReadOnlyMetricManager`, `ReadOnlyMetricRegistry`, `JmxMetricExporterSpi`, `MetricExporterSpi`

### Constructor Summary

Constructors
Constructor and Description
`TransactionMetricsMxBeanImpl()` Deprecated. Create TransactionMetricsMxBeanImpl.
`TransactionMetricsMxBeanImpl(TransactionMetrics transactionMetrics)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`long` `commitTime()` Deprecated. The last time, when transaction was commited.
`Map<String,String>` `getAllOwnerTransactions()` Deprecated. All near transactions
`long` `getLockedKeysNumber()` Deprecated. The number of keys locked on the node.
`Map<String,String>` `getLongRunningOwnerTransactions(int duration)` Deprecated. Long running near transactions
`long` `getOwnerTransactionsNumber()` Deprecated. The number of active transactions for which this node is the initiator.
`long` `getTransactionsCommittedNumber()` Deprecated. The number of transactions which were committed.
`long` `getTransactionsHoldingLockNumber()` Deprecated. The number of active transactions holding at least one key lock.
`long` `getTransactionsRolledBackNumber()` Deprecated. The number of transactions which were rollback.
`long` `rollbackTime()` Deprecated. The last time, when transaction was rollbacked.
`int` `txCommits()` Deprecated. The total number of commited transactions.
`int` `txRollbacks()` Deprecated. Tne total number of rollbacked transactions.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransactionMetricsMxBeanImpl

    public TransactionMetricsMxBeanImpl()

Deprecated.
Create TransactionMetricsMxBeanImpl.

#### TransactionMetricsMxBeanImpl

    public TransactionMetricsMxBeanImpl(TransactionMetrics transactionMetrics)

Deprecated.

Parameters:
  `transactionMetrics` - Transaction metrics.

### Method Detail

#### commitTime

    public long commitTime()

Deprecated.
The last time, when transaction was commited.

Specified by:
  `commitTime` in interface `TransactionMetricsMxBean`
Specified by:
  `commitTime` in interface `TransactionMetrics`
Returns:
  last time, when transaction was commited.

#### rollbackTime

    public long rollbackTime()

Deprecated.
The last time, when transaction was rollbacked.

Specified by:
  `rollbackTime` in interface `TransactionMetricsMxBean`
Specified by:
  `rollbackTime` in interface `TransactionMetrics`
Returns:
  last time, when transaction was rollbacked.

#### txCommits

    public int txCommits()

Deprecated.
The total number of commited transactions.

Specified by:
  `txCommits` in interface `TransactionMetricsMxBean`
Specified by:
  `txCommits` in interface `TransactionMetrics`
Returns:
  total number of commited transactions.

#### txRollbacks

    public int txRollbacks()

Deprecated.
Tne total number of rollbacked transactions.

Specified by:
  `txRollbacks` in interface `TransactionMetricsMxBean`
Specified by:
  `txRollbacks` in interface `TransactionMetrics`
Returns:
  total number of rollbacked transactions.

#### getAllOwnerTransactions

    public Map<String,String> getAllOwnerTransactions()

Deprecated.
All near transactions

Specified by:
  `getAllOwnerTransactions` in interface `TransactionMetricsMxBean`
Specified by:
  `getAllOwnerTransactions` in interface `TransactionMetrics`
Returns:
  near transactions.

#### getLongRunningOwnerTransactions

    public Map<String,String> getLongRunningOwnerTransactions(int duration)

Deprecated.
Long running near transactions

Specified by:
  `getLongRunningOwnerTransactions` in interface `TransactionMetricsMxBean`
Specified by:
  `getLongRunningOwnerTransactions` in interface `TransactionMetrics`
Parameters:
  `duration` - Transaction duration.
Returns:
  near transactions.

#### getTransactionsCommittedNumber

    public long getTransactionsCommittedNumber()

Deprecated.
The number of transactions which were committed.

Specified by:
  `getTransactionsCommittedNumber` in interface `TransactionMetricsMxBean`
Specified by:
  `getTransactionsCommittedNumber` in interface `TransactionMetrics`
Returns:
  number of transactions which were committed.

#### getTransactionsRolledBackNumber

    public long getTransactionsRolledBackNumber()

Deprecated.
The number of transactions which were rollback.

Specified by:
  `getTransactionsRolledBackNumber` in interface `TransactionMetricsMxBean`
Specified by:
  `getTransactionsRolledBackNumber` in interface `TransactionMetrics`
Returns:
  number of transactions which were rollback.

#### getTransactionsHoldingLockNumber

    public long getTransactionsHoldingLockNumber()

Deprecated.
The number of active transactions holding at least one key lock.

Specified by:
  `getTransactionsHoldingLockNumber` in interface `TransactionMetricsMxBean`
Specified by:
  `getTransactionsHoldingLockNumber` in interface `TransactionMetrics`
Returns:
  number of active transactions holding at least one key lock.

#### getLockedKeysNumber

    public long getLockedKeysNumber()

Deprecated.
The number of keys locked on the node.

Specified by:
  `getLockedKeysNumber` in interface `TransactionMetricsMxBean`
Specified by:
  `getLockedKeysNumber` in interface `TransactionMetrics`
Returns:
  number of keys locked on the node.

#### getOwnerTransactionsNumber

    public long getOwnerTransactionsNumber()

Deprecated.
The number of active transactions for which this node is the initiator.

Specified by:
  `getOwnerTransactionsNumber` in interface `TransactionMetricsMxBean`
Specified by:
  `getOwnerTransactionsNumber` in interface `TransactionMetrics`
Returns:
  number of active transactions for which this node is the initiator.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022